# Características Avançadas do amaroK

## Atalhos do Teclado

O &amarok; usa os atalhos do teclado, como a maioria das outras aplicações; em baixo, encontra-se uma listagem desses atalhos e das suas acções respectivas. Os atalhos globais podem ser configurados se carregar com o &RMB; na janela do Leitor e se seleccionar a opção Configurar os Atalhos Globais.... Os atalhos do &amarok; podem ser configurados se carregar com o &RMB; na janela do Leitor e seleccionar a opção Configurar os Atalhos...

Você poderá atribuir teclas multimédia para funcionarem como atalhos do &amarok;, tornando o seu teclado um centro de controlo do &amarok;.

Os atalhos globais são:

Combinação de Teclas | Acção
--- | ---
WinX | Reproduzir
WinC | Pausa
WinV | Parar
WinB | Próxima Faixa
WinZ | Faixa Anterior
WinKP_Add | Aumentar o Volume
WinKP_Subtract | Diminuir o Volume
WinA | Adicionar Média
WinP | Comutar a Lista
WinO | Mostrar o OSD

Os atalhos do &amarok; são:

Combinação de Teclas | Acção
--- | ---
CtrlC | Copiar
CtrlKP_Enter | Ir para a Actual
CtrlQ | Sair
CtrlShiftZ | Refazer
CtrlS | Gravar a Lista de Reprodução
CtrlA | Seleccionar Tudo
CtrlH | Baralhar
CtrlZ | Desfazer

Os atalhos do Navegador na Lista de Reprodução são:

Combinação de Teclas | Acção
--- | ---
Espaço | Carregar Listas
F2 | Mudar o Nome da Lista
Backspace | Remover a Lista

## A Interface DCOP

A interface de DCOP do amaroK oferece-lhe uma forma simples de controlar o amaroK com os seus próprios programas personalizados.

A interface de DCOP do amaroK tem várias funções genéricas que poderão ser encontradas noutras aplicações do KDE. Esta secção pretende descrever as funções do DCOP para o leitor. Um exemplo da função de DCOP pause seria semelhante ao seguinte:

&percnt;dcop amarok player pause

### dcop amarok player

Função de DCOP | Acção
--- | ---
album | A função album devolve o álbum da música que está a tocar de momento.
artist | A função artist devolve o artista da música a tocar de momento.
bitrate | A função bitrate devolve a taxa de amostragem em bits da música a tocar de momento.
comment | A função comment devolve o comentário da música a tocar de momento.
coverImage | A função coverImage devolve o URL da imagem de capa da faixa actual.
currentTime | A função currentTime devolve a posição (mm:ss) da música a tocar de momento.
encodedURL | A função encodedURL devolve o URL da faixa actual com os espaços codificados.
genre | A função genre devolve o género da música a tocar de momento.
nowPlaying | A função nowPlaying devolve o texto "Artista - Título" da faixa a tocar de momento. Se uma das marcas ID3 estiver em branco, só o "Artista" ou o "Título" são mostrados (sem o "-").
title | A função title devolve o título da música a tocar de momento.
totalTime | A função totalTime devolve o tempo total (mm:ss) da música a tocar de momento.
track | A função track devolve o número da faixa actual.
year | A função year devolve o ano da música a tocar de momento.
isPlaying | A função isPlaying devolve um valor 'true' (verdadeiro) ou 'false' (falso) para indicar se o leitor está a tocar ou não.
randomModeStatus | A função randomModeStatus devolve o estado do Modo Aleatório com um valor verdadeiro ('true') ou falso ('false').
repeatPlaylistStatus | A função repeatPlaylistStatus devolve o estado da Repetição da Lista de Músicas com um valor verdadeiro ('true') ou falso ('false').
repeatTrackStatus | A função repeatTrackStatus devolve o valor da Repetição da Faixa com um valor verdadeiro ('true') ou falso ('false').
getVolume | A função getVolume devolve o nível do volume, com um valor entre 0-100.
sampleRate | A função sampleRate devolve a taxa de amostragem da faixa actual.
score | A função score devolve a pontuação da faixa actual.
status | A função status devolve um valor para o estado do motor, sendo 2 para o estado de reprodução, 1 para pausa e 0 para inactivo.
trackCurrentTime | A função trackCurrentTime devolve um valor com o tempo que já passou em segundos.
trackPlayCounter | A função trackPlayCounter devolve o número de vezes que a faixa actual foi ouvida.
trackTotalTime | A função trackTotalTime devolve o valor do tempo total da faixa em segundos.
configEqualizer | A função configEqualizer apresenta a janela de configuração do equalizador.
enableOSD | A função enableOSD permite-lhe activar ou desactivar a Visualização no Ecrã ou OSD com um valor 'true' (verdadeiro) ou 'false' (falso)
enableRandomMode | A função enableRandomMode permite-lhe activar ou desactivar o modo aleatório com um valor 0 (desactivado) ou 1 (activo).
mute | A função mute permite-lhe calar ou activar o som da faixa que está a tocar.
next | A função next avança uma faixa no leitor.
pause | A função pause coloca em pausa a faixa actual.
play | A função play inicia o leitor no ponto em que foi parado da última vez.
playPause | A função playPause inicia o leitor se já está parado ou em pausa. Esta função também coloca o leitor em pausa se já estava a tocar uma faixa.
prev | A função prev recua uma faixa no leitor.
scanCollection | A função scanCollection efectua uma pesquisa manual sobre a sua colecção.
seek | A função seek é usada para se posicionar numa faixa com base num valor indicado em segundos.
seekRelative | A função seekRelative é usada para se posicionar de forma relativa numa faixa com base num valor indicado em segundos.
setContextStyle |
setEqualizer | A função setEqualizer usa onze números inteiros delimitados por espaços para configurar os valores das barras de equalização. Os valores das barras vão de -255, o valor mais baixo, até 255, o valor mais alto. O primeiro inteiro é usado para definir o valor de pré-amplificação, enquanto os restantes definem os valores de resposta na frequência de 60Hz até 16kHz.
setEqualizerEnabled | A função setEqualizerEnabled é usada para activar o equalizador com um valor booleano verdadeiro ou falso.
setVolume | A função setVolume ajusta o volume para um nível indicado com um valor entre 0-100.
showOSD | A função showOSD apresenta o OSD para mostrar a informação da faixa actual.
stop | A função stop irá parar o leitor se este já estiver a tocar.
volumeDown | A função volumeDown baixa o volume uma posição.
volumeUp | A função volumeUp sobe o volume uma posição.

### dcop amarok playlist

Função de DCOP | Acção
--- | ---
getActiveIndex | A função getActiveIndex devolve um valor inteiro para a posição da faixa actual na lista de reprodução.
addMedia | A função addMedia é usada para adicionar ficheiros únicos à lista de músicas.
addMediaList | A função addMediaList é usada para adicionar vários ficheiros à lista de músicas.
clearPlaylist | A função clearPlaylist é usada para limpar a lista por completo.
playByIndex | A função playByIndex começa a tocar uma faixa identificada pela sua posição na lista de reprodução.
playMedia | A função playMEDIA inicia a reprodução de uma faixa indicada pelo seu KURL.
saveCurrentPlaylist | A função saveCurrentPlaylist grava a lista de reprodução actual no ficheiro ~/.kde/share/apps/amarok/current.xml.
setStopAfterCurrent | A função setStopAfterCurrent pára a reprodução da lista, depois de ter terminada a faixa actual.
shortStatusMessage | A função shortStatusMessage mostra um texto como uma mensagem na barra de estado.
shufflePlaylist | A função shufflePlaylist baralha a ordem das faixas na lista de reprodução.
togglePlaylist | A função togglePlaylist activa ou desactiva a utilização da janela da lista de músicas.

## Opções da Linha de Comandos

O amaroK suporta a utilização das opções normais da linha de comandos para o Qt e o &kde;. O amaroK tem também as suas opções específicas da aplicação.

As opções do Qt e do kde:

Opção | Acção
--- | ---
--help | Mostra a ajuda acerca das opções.
--help-qt | Mostra as opções específicas do Qt.
--help-kde | Mostra opções específicas do KDE.
--help-all | Mostra todas as opções.
--author | Mostra informações sobre o autor.
-v, --version | Mostra a versão.
--license | Mostra informações acerca da licença.

As opções do amaroK:

As opções do &amarok; foram concebidas para ser utilizadas enquanto o &amarok; está a correr.

Opção | Acção
--- | ---
-r, --previous | Passa à faixa anterior na lista de reprodução.
-p, --play | Para de tocar a lista de músicas actual.
-s, --stop | Para a reprodução.
--pause | Pausa a reprodução.
-f, --next | Passa para a próxima faixa na lista de reprodução.
-a, --append | Adicionar ficheiros/URLs à lista de reprodução.
-e, --enqueue | Veja 'append', disponível por razões de compatibilidade.
--queue | Coloca ficheiros/URLs na lista a seguir à faixa actual.
-m, --toggle-playlist-window | Activa ou desactiva a janela da lista de músicas.
--wizard | Lança o assistente da Primeira Execução.
--engine "nome" | Inicia o &amarok; como o motor "name".